'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _uiComponentsButton = require('@ideco/ui-components-button');

var _uiComponentsButton2 = _interopRequireDefault(_uiComponentsButton);

var _SchedulingFooterModule = require('./SchedulingFooter.module.scss');

var _SchedulingFooterModule2 = _interopRequireDefault(_SchedulingFooterModule);

var _constants = require('../constants');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SchedulingFooter = function (_React$PureComponent) {
  (0, _inherits3.default)(SchedulingFooter, _React$PureComponent);

  function SchedulingFooter() {
    (0, _classCallCheck3.default)(this, SchedulingFooter);
    return (0, _possibleConstructorReturn3.default)(this, (SchedulingFooter.__proto__ || Object.getPrototypeOf(SchedulingFooter)).apply(this, arguments));
  }

  (0, _createClass3.default)(SchedulingFooter, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          valueSet = _props.valueSet,
          isSelectedValue = _props.isSelectedValue,
          onSubmit = _props.onSubmit,
          onClickBackButton = _props.onClickBackButton,
          isSubmitModal = _props.isSubmitModal,
          customClassName = _props.customClassName,
          theme = _props.theme;


      return _react2.default.createElement(
        'div',
        { className: (0, _classnames2.default)(_SchedulingFooterModule2.default.container, customClassName) },
        _react2.default.createElement(
          _uiComponentsButton2.default,
          {
            styleType: _constants.BUTTON_STYLE_TYPE.LINK,
            color: _constants.BUTTON_COLOR.BLUE,
            onClick: onClickBackButton,
            className: _SchedulingFooterModule2.default.backButton,
            theme: theme
          },
          'Back'
        ),
        isSubmitModal && _react2.default.createElement(
          _uiComponentsButton2.default,
          {
            styleType: _constants.BUTTON_STYLE_TYPE.PRIMARY,
            color: _constants.BUTTON_COLOR.BLUE,
            disabled: !isSelectedValue,
            onClick: onSubmit,
            theme: theme
          },
          valueSet
        )
      );
    }
  }]);
  return SchedulingFooter;
}(_react2.default.PureComponent);

SchedulingFooter.defaultProps = {
  valueSet: 'set',
  isSubmitModal: true,
  customClassName: ''
};

exports.default = SchedulingFooter;