'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactFontawesome = require('@fortawesome/react-fontawesome');

var _proRegularSvgIcons = require('@fortawesome/pro-regular-svg-icons');

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

var _SchedulingMoveInDateModule = require('./SchedulingMoveInDate.module.scss');

var _SchedulingMoveInDateModule2 = _interopRequireDefault(_SchedulingMoveInDateModule);

var _helperMethods = require('../helperMethods');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SchedulingMoveInDate = function (_React$PureComponent) {
  (0, _inherits3.default)(SchedulingMoveInDate, _React$PureComponent);

  function SchedulingMoveInDate() {
    (0, _classCallCheck3.default)(this, SchedulingMoveInDate);
    return (0, _possibleConstructorReturn3.default)(this, (SchedulingMoveInDate.__proto__ || Object.getPrototypeOf(SchedulingMoveInDate)).apply(this, arguments));
  }

  (0, _createClass3.default)(SchedulingMoveInDate, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          date = _props.date,
          classNames = _props.classNames,
          label = _props.label;


      return _react2.default.createElement(
        'div',
        { className: (0, _classnames2.default)(_SchedulingMoveInDateModule2.default.container, classNames.container) },
        _react2.default.createElement(
          'div',
          { className: _SchedulingMoveInDateModule2.default.iconWrapper },
          _react2.default.createElement(_reactFontawesome.FontAwesomeIcon, { className: _SchedulingMoveInDateModule2.default.icon, icon: _proRegularSvgIcons.faCalendar })
        ),
        _react2.default.createElement(
          'span',
          { className: _SchedulingMoveInDateModule2.default.label },
          label,
          ' ',
          _react2.default.createElement(
            'span',
            { className: _SchedulingMoveInDateModule2.default.date },
            (0, _helperMethods.getDateString)((0, _moment2.default)(date))
          )
        )
      );
    }
  }]);
  return SchedulingMoveInDate;
}(_react2.default.PureComponent);

SchedulingMoveInDate.defaultProps = {
  classNames: {
    container: ''
  },
  label: 'Your Move-in Date is'
};

exports.default = SchedulingMoveInDate;