'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _index = require('../SchedulingStep/index');

var _index2 = _interopRequireDefault(_index);

var _SchedulingSectionModule = require('./SchedulingSection.module.scss');

var _SchedulingSectionModule2 = _interopRequireDefault(_SchedulingSectionModule);

var _constants = require('../constants');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SchedulingSection = function (_React$PureComponent) {
  (0, _inherits3.default)(SchedulingSection, _React$PureComponent);

  function SchedulingSection() {
    (0, _classCallCheck3.default)(this, SchedulingSection);
    return (0, _possibleConstructorReturn3.default)(this, (SchedulingSection.__proto__ || Object.getPrototypeOf(SchedulingSection)).apply(this, arguments));
  }

  (0, _createClass3.default)(SchedulingSection, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          moveInDate = _props.moveInDate,
          logo = _props.logo,
          stepsData = _props.stepsData,
          theme = _props.theme;


      return _react2.default.createElement(
        'div',
        { className: _SchedulingSectionModule2.default.container },
        _react2.default.createElement(
          'h3',
          { className: _SchedulingSectionModule2.default.header },
          'Scheduling your new service'
        ),
        stepsData.map(function (stepData) {
          return _react2.default.createElement(_index2.default, (0, _extends3.default)({
            key: stepData.stepName
          }, stepData, {
            moveInDate: moveInDate,
            logo: logo,
            customClassName: _SchedulingSectionModule2.default.stepContainer,
            theme: theme
          }));
        })
      );
    }
  }]);
  return SchedulingSection;
}(_react2.default.PureComponent);

SchedulingSection.defaultProps = {
  logo: null,
  stepsData: [],
  theme: _constants.THEME.RESIDENT
};

exports.default = SchedulingSection;